#!/usr/bin/python3

import os, sys

from pyanaconda.ui.common import collect

# FIXME: Storage tests don't want to work right now, so they are disabled while
# I debug them so we can get useful data from other tests.
os._exit(77)

if os.geteuid() != 0:
    sys.stderr.write("You must be root to run the storage tests; skipping.\n")
    # This return code tells the automake test driver that this test was skipped.
    os._exit(77)

if "top_srcdir" not in os.environ:
    sys.stderr.write("$top_srcdir must be defined in the test environment\n")
    # This return code tells the automake test driver that the test setup failed
    sys.exit(99)

failures = 0

classes = collect("cases.%s",
                  os.path.abspath(os.path.join(os.environ["top_srcdir"], "tests/storage/cases/")),
                  lambda obj: getattr(obj, "desc", None) is not None)

for tc in classes:
    obj = tc()
    failures += obj.run()

os._exit(failures)
